\documentclass[a4paper,10pt]{scrartcl}
\input{input/packages.tex}
\input{input/definitions.tex}

			
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% ARTICLE SETUP
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\title{Revealing age-related changes of adult hippocampal neurogenesis using mathematical models}
\author[1,2]{Frederik Ziebell}
\author[2]{Sascha Dehler}
\author[2,*]{Ana Martin-Villalba}
\author[1,3,*]{Anna Marciniak-Czochra}
\affil[1]{{\small Institute of Applied Mathematics, Heidelberg University}}
\affil[2]{{\small German Cancer Research Center (DKFZ), Heidelberg}}
\affil[3]{{\small Interdisciplinary Center of Scientific Computing (IWR) and BIOQUANT, Heidelberg University}}
\affil[*]{{\small Corresponding author, Shared last authorship}}
\date{}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% ARTICLE START
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%					
\begin{document}
\maketitle

\begin{abstract}
New neurons are continuously generated in the dentate gyrus of the adult hippocampus. This continuous supply of newborn neurons is important to modulate cognitive functions. Yet, the number of newborn neurons declines with age. Increasing Wnt activity upon loss of the Dickkopf-1 can counteract both the decline of newborn neurons and the age-related cognitive decline. However, the precise cellular changes underlying the age-related decline or its rescue are fundamentally not understood. The present study combines a mathematical model and experimental data to address features controlling neural stem cell (NSC) dynamics. We show that available experimental data fit a model in which quiescent NSCs may either become activated to divide or may undergo depletion events, such as astrocytic transformation and apoptosis. Additionally, we demonstrate that old NSCs \red{remain quiescent longer} and have a higher probability of becoming re-activated than depleted. Finally, our model explains that high NSC-Wnt activity leads to longer time in quiescence while enhancing the probability of activation. Altogether, our study shows that modulation of the quiescent state is critical to regulate the pool of stem cells throughout the life of an animal.\\ \\
Key words: Mathematical model, adult hippocampal neurogenesis, aging, stem cells
\end{abstract}

\section{Introduction}
The subgranular zone of the hippocampal dentate gyrus (DG) is one of the two major regions in the adult brain where neural stem cells (NSCs) continuously produce new neurons involved in learning and memory \autocite{Ming:2011}. The age-associated impairment of learning and memory has awaken much interest in understanding the cellular and molecular mechanisms underlying the accompanying decline of NSC counts in the hippocampus \autocite{BenAbdallah:2008,Jinno:2011,Walter:2011,Furutachi:2013,Seib:2013,Jones:2015}. Hence, interpretations of the dynamics of NSCs in homeostasis have led to many recent studies \autocite{Bonaguidi:2011,Encinas:2011,Mandyam:2007,Sierra:2010,Brandt:2012,Bouchard:2013}. 

To decipher the cellular dynamics behind hippocampal neurogenesis, we apply an interdisciplinary approach combining mathematical modeling with experimental data. These data consist of already published studies \autocite{Sierra:2010,Bonaguidi:2011,Encinas:2011,Brandt:2012,Seib:2013} as well as novel data specifically designed to reveal the age-related changes during hippocampal neurogenesis. Our approach of combining modeling with data was successfully applied in other stem cell-based systems \autocite{Alcolea:2014,Baker:2014,Chabab:2016,Flossdorf:2015,Watson:2015} to identify and quantify stem cell-related processes such as self-renewal and differentiation. 

The mathematical model developed describes the evolution of the hierarchical cell production system of adult hippocampal neurogenesis and incorporates basic cell properties such as quiescence, proliferation, self-renewal and apoptosis. Since the configuration of regulatory feedbacks in neurogenesis is not well understood, we follow a top-down approach in which we start with a basic model with constant rates and then apply it to experimental data in order to identify which parameters are changing during ageing. 

Our study shows that the data are consistent with a model in which NSCs reside in a quiescent phase from which they can either become activated to proliferate or undergo depletion. By applying our model to novel data displaying an age-related accumulation of astrocyte numbers, we demonstrate that about $40\%$ of NSC depletion can be attributed to direct transformation into astrocytes with the remaining part being likely a result of apoptosis.

Finally, we use our model to uncover the response of the neurogenesis system upon Dickkopf-1 (Dkk1) deletion \autocite{Seib:2013}. We show that the best explanation for the effects upon Dkk1 knockout is that stem cells spend longer time in quiescence but they are also more likely to become activated than being depleted from the quiescent phase.

\section{Results}
\subsection{Stem Cell Model Fits Population-level and Clonal Data}
Our model is based on a compartment of quiescent NSCs, corresponding to the $G_0$ phase of the cell cycle (Fig. \ref{fig:RepModel}). Those quiescent NSCs have the ability to enter the cell cycle and perform a symmetric self-renewing or asymmetric division, followed by NSCs returning to quiescence after division \autocite{Bonaguidi:2011}. Although \textcite{Bonaguidi:2011} do not address a mechanism leading to NSC disappearance, they find an increased number of NSC-depleted stem cell clones in their data and conclude that NSC depletion occurs. Accordingly, we assume an outflow from the quiescent NSCs compartment not only due to cell cycle entry but also due to depletion. As shown later, our results suggest that NSC depletion consists of apoptosis as well as astrocytic transformation. Accordingly, our model is given by the set of equations
\begin{equation}
\label{eq:RepModel}
\begin{aligned}
\ddt c_0(t) &=-(r+q) c_0(t) + 2 a p c_1(t),\\
\ddt c_1(t) &= r c_0(t) - p c_1(t),\\
\end{aligned}
\end{equation}
where $c_0$ represents quiescent NSCs and $c_1$ cycling NSCs. The parameter $p$ denotes the proliferation rate, $q$ is the depletion rate and $r$ the activation rate (see Fig. \ref{fig:RepModel} for a graphical representation). Moreover, since we consider experimentally observed symmetric and asymmetric NSC divisions \autocite{Bonaguidi:2011}, we introduce the parameter $a$ as the fraction of self-renewal, which is the probability of a daughter cell to have the same fate as the mother cell \autocite{Marciniak:2009}.

We investigate the proposed model by comparison to experimental data. For this, we measure the number of NSCs and the fraction of 5-bromo-2-deoxyuridine (BrdU)-incorporating NSCs at several age points during mouse adulthood (Fig. \ref{fig:popData}). Our data agree with those reported by \textcite{Encinas:2011}, as we also observe a decline of the NSC pool (Fig. \ref{fig:stemDecl}) and a constant fraction of BrdU-incorporating NSCs of about $1\%$ at all ages (Fig. \ref{fig:stemBrduFrac}). By estimating model parameters, we find that the model can be fitted to these population-level data (Figs \ref{fig:stemDecl} and \ref{fig:stemBrduFrac}, black line). 

In contrast to the population-level data which account for large cell numbers and admit inferences about the collective behavior of a whole cell population, clonal data reflect single-cell level behavior by tracking the progeny of individual cells. To assess the clonal dynamics of NSCs, \textcite{Bonaguidi:2011} labeled individual NSCs at the age of 8-12 weeks and evaluated their clonal progeny one month, two months and one year later. This led to a classification of NSC clones into three categories: \textit{quiescent}, consisting of exactly one NSC; \textit{activated}, including one NSC and at least one additional cell; and \textit{depleted}, containing no NSCs.

While populations of many cells can be modeled using a deterministic approach based on averaging over the population, modeling of clonal data requires a stochastic approach taking into account cellular heterogeneity. Therefore, to fit our model to the clonal data (Fig. \ref{fig:clonalFit}), we made use of the Gillespie algorithm \autocite{Gillespie:1977} to define a counterpart of model \eqref{eq:RepModel} being a stochastic process.


\red{
We start with comparing the stochastic version of model \eqref{eq:RepModel} to the clonal data using the parameter estimates of the population-level fit (Fig. \ref{fig:cloFitPopPars}). The lack of fit shows that the population-level estimates cannot explain the clonal data. Conversely, estimating model parameters by fitting the stochastic version of model \eqref{eq:RepModel} to the clonal data results in a good agreement between observed and predicted clonal behavior (Fig. \ref{fig:cloFitCloPars}). However, to reproduce the clonal dynamics, it is necessary to additionally consider a population of \textit{resilient} NSCs. Those cells are assumed to be quiescent NSCs that never become activated or depleted, thus remaining as quiescent NSCs indefinitely. The corresponding dynamics of resilient cells is outlined further on when discussing age-related effects (equation \eqref{eq:TwoPop}). Assuming the existence of such subpopulation allows avoiding a rapid extinction of quiescent clones. According to the model fit, resilient NSCs account for about $10\%$ of all NSCs in a ten-weeks old mouse. Without allowing for resilient NSCs, the fraction of quiescent clones approaches zero and consequently the one year time point is not matched by the model. Note that resilient stem cells can be labeled in the clonal experiment of \textcite{Bonaguidi:2011}, since the labeling technique used does not require cells to divide in order to obtain the label. Moreover, we want to remark that the concept of resilient stem cells is only needed to fit the clonal data of \textcite{Bonaguidi:2011}, not the population-level data.}

\red{
Model \eqref{eq:RepModel} assumes that dividing stem cells return to quiescence after division and that depletion events occur from the quiescent phase. An alternative stem cell model has been put forward by \textcite{Encinas:2011}, stating that stem cell depletion occurs after a series of asymmetric division events. An analysis of this scenario shows that fitting this alternative model to the clonal data makes biologically implausible predictions (see Supplementary Information). We thus rest our subsequent analysis on model \eqref{eq:RepModel}.}

For a detailed description of the model quantification procedure, we refer the reader to the Materials and Methods section.

\subsection{Aged Stem Cells Spend a Longer Time in Quiescence but also Have a Higher Probability to Become Activated}
The age-related decline of the NSC pool is a central characteristic of adult hippocampal neurogenesis. We asked whether the decline occurs uniformly with age or if the dynamics of NSCs change during adulthood. In case of a uniform decline, NSCs numbers are expected to drop exponentially, corresponding to a constant decay rate. As outlined in our previous study \autocite{Ziebell:2014}, the decline of NSC numbers saturates with age, resulting in an underestimation of the total number of NSCs at the old age (Fig. \ref{fig:stemDecl}). This indicates that the dynamics of NSCs changes during aging. Using mathematical modeling, we evaluate different scenarios for their ability to explain this saturation.

\subsubsection{Decreasing Depletion}
The depletion process is the integral part of the NSC decline. Without it, the number of NSCs would not decrease. One possibility to explain the saturation of NSC's decline is that the depletion rate of NSCs declines during aging, leading to a decreased fraction of depleting stem cells at old age. Accordingly, we modify model \eqref{eq:RepModel} by assuming
\begin{equation}\label{eq:decDep}
	q=q(t)=q_{\text{max}} e^{-\beta_q t}.
\end{equation}
As can be seen from Fig. \ref{fig:DecDepFit2}, the discussed mechanism is a very good explanation for the data. \red{It is also possible that the depletion rate does not decline exponentially but acts under bang-bang control, i.e.\ changes abruptly from being constant and positive to being zero. However, this scenario cannot explain the observed dynamcs (data not shown).}

\subsubsection{Existence of Resilient NSCs}
Our preceding analysis of the clonal data set of \textcite{Bonaguidi:2011} points towards a possible second population of resilient NSCs, cells that can neither become activated nor deplete. The additional population $c_\text{res}$ is implemented with
\begin{equation}\label{eq:TwoPop}
	\begin{aligned}
		\ddt c_\text{res}(t) &= 0,\\
		\frac{c_\text{res}(0)}{c_0(0)+c_1(0)} &= \frac{\rho}{1-\rho},
	\end{aligned}
\end{equation}
where $\rho$ is the fraction of resilient NSCs on all NSCs at the start of adulthood. However, the existence of such population in combination with the decline of NSCs leads to a decrease of the fraction of cycling NSCs (Fig. \ref{fig:TwoPopFit}), contradicting the observed constant fraction of BrdU incorporating NSCs at old age \autocite{Encinas:2011}.

\subsubsection{Lengthening of the Cell Cycle}
If NSCs take progressively longer during aging to complete the cell cycle, the number of stem cells entering the quiescent phase declines with time, leading to a decreasing net depletion of stem cells residing in quiescence. Accordingly, we assume a decline of the proliferation rate given by
\begin{equation}
	p=p(t)=p_\text{max}e^{-\beta_p t}.
\end{equation}
A comparison of the suggested mechanism with the data shows a lack of fit, because lengthening the cell cycle dramatically increases the fraction of cycling NSCs and alongside the fraction of BrdU incorporating NSCs (Fig. \ref{fig:LenCCFit}).

\subsubsection{Increasing Self-Renewal}
The saturation of the NSC decline could also indicate that NSCs increase their self-renewal to counteract the depletion. The corresponding modification takes the form
\begin{equation}
	a=a(t)=a_\text{min}+\alpha_a t.
\end{equation}
An analysis of this scenario shows that in order to explain our population level data, NSC numbers would start to increase after about 1 year of age (Fig. \ref{fig:IncSelfFit}). However, this implication contradicts the fact that NSCs and other downstream compartments such as neural progenitors and immature neurons decline in numbers even at later time points than one year of age \autocite{Encinas:2011,Walter:2011}.

\subsubsection{Increasing Quiescence}
An increase of NSC's quiescence, corresponding to an age-related lengthening of the $G_0$ phase, could also explain the decline pattern of NSCs. Since leaving the quiescent phase is associated with a higher tendency to deplete than to maintain or expand the pool of NSCs---otherwise it could not be explained why this pool declines---remaining in quiescence would neutralize the decline. The modification takes the form
\begin{equation}
	q=q(t)=q_\text{max}e^{-\beta_{qr} t}
\end{equation}
and
\begin{equation}
	r=r(t)=r_\text{max}e^{-\beta_{qr} t}.
\end{equation}
The justification for these equations is that leaving the quiescent phase $c_0$ is driven by a joint decay process \autocite{Magill:2005}, which consists of activation (with rate $r$) and depletion (with rate $q$). The mean time of NSCs to sojourn in quiescence is thus given by 
\begin{equation}
	\frac{1}{q(t)+r(t)}=\frac{1}{q_\text{max}+r_\text{max}}e^{\beta_{qr} t}.
\end{equation}

However, in order to explain the saturation of NSC's decline in this scenario, the strong increase of quiescence reduces the fraction of cycling NSCs (Fig. \ref{fig:IncQuiFit}), contradicting the observation of a constant fraction of BrdU incorporating stem cells up to even 20 months of age \autocite{Encinas:2011}.

\subsubsection{Increasing Activation}
Another possibility to explain the saturation of the NSC decline is that the fraction of quiescent NSCs that become activated per time unit increases during aging. Since activation is associated with maintenance or expansion of the NSC pool, increasing activation could counteract the NSC decline at old age. The increasing activation scenario is implemented with
\begin{equation}
	r=r(t)=r_\text{min}+\alpha_r t.
\end{equation}
However, comparing the above mechanism to our population level data shows that an increase of activation fails to explain the saturation of NSC's decline (Fig. \ref{fig:IncActFit}).

\subsubsection{Model Selection}
In conclusion, the only biologically plausible scenario by visually comparing the model fit to the data is that of a decreasing depletion rate. To also evaluate each of the above model modifications from a statistical perspective, we compute for each scenario the corresponding Akaike information criterion (AIC) score. This model selection score quantifies the trade off between the complexity of a model, i.e.\ number of parameters, and the goodness of fit to the data \autocite{Burnham:2002}. Using this score, the only two considerable mechanisms besides the decreasing depletion mechanism are the scenario of increasing self-renewal and the existence of a population of resilient NSCs (see Materials and Methods). However, as outlined previously, the former scenario contradicts the observation of a decline of NSCs and downstream cell types at old age \autocite{Walter:2011}, while the latter contradicts the observation of a constant fraction of BrdU incorporating NSCs up to 20 months of age \autocite{Encinas:2011}. These considerations lead to the conclusion that among the contemplated mechanisms, the decreasing depletion scenario is the only plausible explanation for the saturation pattern of the NSC decline.

\subsubsection{Biological Interpretation}
Only a decreased depletion rate of NSCs can reproduce the data without making biologically implausible predictions. A further quantification of this scenario suggests that aged stem cells stay longer in the quiescent stage (Fig. \ref{fig:meanQui}), but also have a higher probability of reactivation (Fig. \ref{fig:actProb}). Although the two statements may seem contradictory, our model assumes that leaving quiescence can be achieved through activation or depletion. Thus, the latter assertion merely states that the probability of exiting the quiescent stage through activation versus depletion increases during aging.


\subsection{Stem Cell Depletion is Driven by Astrocytic Transformation and Apoptosis}
In order to explain the decline of NSC numbers during aging, \textcite{Encinas:2011} suggested that NSCs deplete by transforming into astrocytes. To test this theory, we counted the total number of astrocytes during aging to see whether astrocytes accumulate in the DG due to stem cell depletion. We also checked whether newborn astrocytes migrate away from the granule cell layer and escape counting. To this end, we used sparse labeling of Nestin-YFP reporter mice that exclusively marked NSCs \red{and their progeny upon tamoxifen injection} within the subgranular zone. We did not observe any YFP positive cells outside the dentate gyrus 90 days after the last tamoxifen injection. Since we find an increasing progression of the astrocyte count (Fig. \ref{fig:transAna}), we use our model to test whether the increase in astrocyte numbers corresponds to the observed stem cell decline. For this, we take model \eqref{eq:RepModel} together with our best explanation of the saturation of the NSC decline \eqref{eq:decDep} and add a new compartment $c_2$ of astrocytes satisfying
\begin{equation}\label{eq:astroTrans}
\ddt c_2(t) = \theta q(t) c_0(t) + \red{(1-\kappa)2(1-a)pc_1(t)}.
\end{equation}
Here, $\theta\in[0,1]$ is the fraction of NSC depletion events where depletion occurs via astrocytic transformation. \red{While the first term in the above sum accounts for transformation of stem cells into astrocytes, the second term models the number of astrocytes being produced from stem cells via asymmetric divisions. Both parameters, $\theta$ and $\kappa$, are estimated by fitting the astrocyte data displayed in Fig.\ \ref{fig:transAna} and wildtype neurogenesis data of a Dkk1 knockout study (Fig.\ \ref{fig:dataVsModelWT}) laid out in the next section.}

Estimating the transforming fraction $\theta$ yields $\theta=0.473$. Thus, modeling reveals that astrocytic transformation only partially contributes to about half of the stem cell decline. If every NSC (100\%) depletes through transformation into astrocytes, the final astrocytic yield would be much higher than what is observed (Fig. \ref{fig:transAna}). The remaining $53\%$ of the NSC decline are likely a result of apoptosis and further modeling laid out in the Supplementary Information shows that NSC apoptosis is almost non-detectable due to rapid phagocytosis by microglia \autocite{Sierra:2010}.

It is also possible that the accumulation of astrocyte numbers can be explained with a higher transformation probability $\theta$, if additionally astrocytes are allowed to undergo apoptosis, thus counteracting the total astrocytic yield. We also analyzed this scenario in the Supplementary Information and find that apoptosis cannot account for a higher transformation probability.

\subsection{Upon Dkk1 Deletion, Stem Cells Spend Longer Time in Quiescence but Are More Likely to become Re-Activated}
We apply our quantified model of NSC dynamics to the study of \textcite{Seib:2013}, in which the Wnt antagonist Dickkopf-1 (Dkk1) was deleted in NSCs. The deletion led to a larger NSC pool that even counteracted the age-related decline \autocite{Seib:2013}. In view of published studies \autocite{Qu:2010,Munji:2011}, we previously hypothesized that NSC numbers expand by increasing the fraction of self-renewal in response to increased Wnt activity. Now, we used the developed model to identify the most likely change in cellular dynamics that explains Wnt-induced expansion of the pool of NSCs.

First, we extend our stem cell model \eqref{eq:RepModel} including aging effects \eqref{eq:decDep} and astrocytic transformation \eqref{eq:astroTrans} by adding all cell types necessary to simulate hippocampal neurogenesis. In particular, we assume that (i) NSCs generate progenitors and astrocytes via asymmetric divisions \autocite{Bonaguidi:2011}, (ii) progenitors perform a sequence of symmetric divisions followed by differentiation into neuroblasts \autocite{Encinas:2011} and (iii) neuroblasts undergo apoptosis as well as neuronal differentiation \autocite{Sierra:2010}.  Thus, the full model of wild type neurogenesis is given by the set of equations
%
\begin{equation}\label{eq:NeurogenesisModel}
\begin{aligned}
\ddt \,\textsf{stem}^\text{Q}(t) &=-(r+q_\text{max}e^{-\beta_q t})\,\textsf{stem}^\text{Q}(t) + 2 a p^\text{stem} \,\textsf{stem}^\text{A}(t),\\
\ddt \,\textsf{stem}^\text{A}(t) &= r \,\textsf{stem}^\text{Q}(t) - p^\text{stem} \,\textsf{stem}^\text{A}(t),\\
\ddt \,\textsf{prog}_N(t) &= -p^\text{prog} \,\textsf{prog}_N(t)+\kappa 2 (1-a)p^\text{stem}\,\textsf{stem}^\text{A}(t),\\
\ddt \,\textsf{prog}_k(t) &= 2p^\text{prog}\textsf{prog}_{k+1}(t)-p^\text{prog}\textsf{prog}_k(t),\\
\ddt \,\textsf{nblast}(t) &= 2p^\text{prog}\,\textsf{prog}_0(t)-(d+f)\,\textsf{nblast}(t),\\
\ddt \,\textsf{nblast}^\text{A}(t) &= d \, \textsf{nblast}^\text{A}(t) - \delta_\text{phag} \, \textsf{nblast}^\text{A}(t),\\
\ddt \,\textsf{neuron}(t) &= f\,\textsf{nblast}(t),\\
\ddt \,\textsf{astro}(t) &= \theta q_\text{max}e^{-\beta_q t} \,\textsf{stem}^\text{Q}(t)+(1-\kappa) 2 (1-a)p^\text{stem}\,\textsf{stem}^\text{A}(t),\\
\end{aligned}
\end{equation}
%
where $\textsf{stem}^\text{Q}$ denotes quiescent stem cells, $\textsf{stem}^\text{A}$ active (cycling) stem cells, $\textsf{prog}_i$ progenitors with $i$ remaining divisions ($1\leq i\leq N$), $\textsf{nblast}$ neuroblasts, $\textsf{nblast}^\text{A}$ apoptotic neuroblasts, $\textsf{neuron}$ mature neurons and $\textsf{astro}$ astrocytes. 

Next, we use the full model to simulate the protocol of the Dkk1 study (Fig. \ref{fig:ProtokolDkk1}). In the experiment, adult mice were injected with Tamoxifen (TAM) to induce deletion of Dkk1. Following a 5 week period, BrdU was administered and chased for 24 hours and 4 weeks. The number of BrdU labeled cells among the different populations following Dkk1 deletion was quantified and compared to numbers in wildtype animals.

In order to explain the effects of Dkk1 deletion, we first reproduced the wild-type (WT) part of the data using our model. As can be seen from Fig.\ \ref{fig:dataVsModelWT}, the model displays a very good fit to the WT data. Interestingly, a prediction of this fit is that $38\%$ of the neuroblasts mature into neurons and about $62\%$ undergo apoptosis. This finding is consistent with experimental observations stating that the major part of immature neurogenic progenitors undergoes apoptosis rather than differentiating into neurons \autocite{Sierra:2010}, thus further supporting our modeling approach. 

We then focus on explaining the effects of Dkk1 knockout (KO). To model the effects of Dkk1 deletion, we introduced additional parameters into the wild type model \eqref{eq:NeurogenesisModel}. Since Dkk1 was selectively deleted in NSCs, we assume that knockout effects were the result of changes in the value of stem cell parameters. We thus consider the parameters $a$, $p^\text{stem}$, $q_\text{max}$ and $r$ as possible candidates for being changed upon Dkk1 deletion. In addition, the data indicates an increased death rate $d$ of neuroblasts after the knockout. For each candidate parameter
\begin{equation}
\textsf{p}\in\{a, p^\text{stem}, q_\text{max}, r,d\},
\end{equation}
we introduce a change $\Delta_\textsf{p}$ such that the corresponding wild-type and knockout parameters are related via
\begin{equation}
\textsf{p}^\text{KO}=(1+\Delta_\textsf{p})\textsf{p}^\text{WT}.
\end{equation}
Hence, $\Delta_\textsf{p}$ denotes the relative change of the WT parameter \textsf{p}. Moreover, since the model fit to the WT part of the data is not perfect, instead of considering the KO data we consider KO \textit{effects}, defined as the ratio of the KO data to the corresponding WT data, i.e.\ $\textsf{KO effect}=\textsf{(KO data)}/\textsf{(WT data)}$. 

We then apply statistical measures to analyze different combinations of the candidate parameters for their plausibility of being altered simultaneously by Dkk1 deletion using AIC scores. We find that the most plausible explanation of the observed changes is a decreased depletion rate $q_\text{max}$ in combination with increased neuroblast apoptosis $d$ (Fig. \ref{fig:dataVsModelKOWT_qd}). In contrast, statistical analysis shows that alternative scenarios such as increased NSC self-renewal (Fig. \ref{fig:dataVsModelKOWT_ad}) can be discarded as explanation of the KO data (see Materials and Methods). To quantify the above mentioned explanation of decreased NSC depletion rate $q_\text{max}$ and increased neuroblast apoptosis rate $d$, we calculate the average time a stem cell remains quiescent (Fig. \ref{fig:meanQuiComp}) and the probability that leaving quiescence is driven by activation, i.e.\ cell cycle entry, rather than depletion (Fig. \ref{fig:actProbComp}). In young individuals, stem cells remain about ten days longer quiescent and have a $20$ percentage points increased activation probability in the case of Dkk1 deletion, while those differences diminish during aging. Moreover, Dkk1 knockout increases the probability that neuroblasts undergo apoptosis rather than neuronal differentiation from about $60\%$ to about $80\%$ (Fig. \ref{fig:nbApopComp}). Interestingly, Dkk1 deletion impacts the production rate of new neurons (Fig. \ref{fig:neuroProd}): In young individuals, neuron production is decreased due to increased NSC quiescence. The latter leads to increased NSC numbers in old individuals, that in turn results in increased neuron production.


\section{Discussion}
To obtain insights into the control mechanisms of stem cell dynamics and age-related effects during hippocampal neurogenesis, we have applied an interdisciplinary approach based on mathematical modeling and experimental data. This approach allows investigating normal and perturbed neurogenesis by quantifying cell dynamics that cannot be measured experimentally. 

Our stem cell model \eqref{eq:RepModel} was motivated by the experimental observations of \textcite{Bonaguidi:2011} and subsequently extended combining data on NSCs cell cycle properties \autocite{Brandt:2012}, astrocytic transformation (newly generated), progenitor dynamics \autocite{Encinas:2011} as well as neuroblast dynamics and phagocytosis \autocite{Sierra:2010}. Thus, our modeling framework integrates data describing neurogenesis on different levels in a coherent manner.

Although the original stem cell model \eqref{eq:RepModel} can reproduce the available population-level and clonal data, it should be noted that both datasets reflect different dynamics corresponding to different cell parameters. There might be several reasons for such discrepancy. Different morphological and genetic features used to define NSCs may correspond to distinct sub-populations of stem cells or conversely, to slightly different differentiation stages within a continuum between a stem cell and a neural progenitor. In addition, the clonal data account for relatively few cells collected from multiple individuals. Thus, averaged clonal data as in the case of \textcite{Bonaguidi:2011} could be biased due to biological variability among animals or certain cell fate choices stochastically dominating due to the paucity of analyzed clones.

We next addressed for possible mechanisms that can explain the saturation pattern of the age-related decline in NSC numbers - an observation that confirms previous data by \textcite{Encinas:2011}. After evaluating several stem-cell features, the only explanation left is that stem cells spend a progressively longer time in quiescence during aging. At the same time, a greater fraction of aged NSCs becomes re-activated from the stem cell pool rather than being depleted. Our reasoning is coherent from a modeling perspective, since we have ruled out several alternative scenarios.

Another question related to age-related changes during hippocampal neurogenesis is that of the mechanism leading to the decline of NSC numbers. Here, we were able to partially confirm the astrocytic transformation hypothesis of \textcite{Encinas:2011} by observing an age-related accumulation of astrocyte numbers. Mathematical modeling revealed that these transformation events account for about half of the NSC decline. Interestingly, our calculations showed that even if the remaining halft of the decline is caused by NSC apoptosis, detection of apoptotic cells is not possible due to rapid phagocytosis \autocite{Sierra:2010}. Similarly high estimates of apoptosis have been obtained in a modeling study of neurogenesis based on a stochastic branching process approach \autocite{Li:2017}.

One of the main aims of mathematical modeling is to develop model-based predictions which can be tested experimentally. Such model validation is an important step within the scientific method \autocite{Popper:1959}. We thus applied our model to the study of \textcite{Seib:2013}, in which the Wnt inhibitor Dkk1 was deleted. The very good fit to the wild-type data, which results from accurate simulation of the experimental protocol, confirms that our model accounts for key aspects of hippocampal neurogenesis. Moreover, the fitting procedure has led to the prediction that the major part of neuroblasts undergoes apoptosis instead of neuronal differentiation, a prediction which has already been validated \autocite{Sierra:2010}. Moreover, we have analyzed multiple scenarios to reveal the effects of Dkk1 deletion. Originally, \textcite{Seib:2013} hypothesized that Dkk1 knockout increases the self-renewal of NSCs. This reasoning was based on previous studies showing that Wnt signaling induces self-renewal of radial glia progenitors in the embryonic brain \autocite{Munji:2011} and that Wnt ligands were reported to increase the proliferation and self-renewal of NSCs \autocite{Gao:2007,Lie:2005,Michaelidis:2008,Qu:2010}. However, modeling shows that the only considerable scenario is that of an increased NSC quiescence in conjunction with an increased probability to exit the quiescent phase through activation rather than depletion. In contrast, increased self-renewal of NSCs can not explain the effects upon Dkk1 knockout. The reason for this is that increasing the self-renewal of NSCs would increase the fraction of quiescent NSCs on all NSCs, since our model assumes NSCs return to quiescence after division \autocite{Bonaguidi:2011}, and alongside a decreased fraction of BrdU positive downstream cell compartments would be observed. Taken together, our results indicate that regulating the rate of activation vs. depletion into astrocytes seems to represent a central hub to fine-tune neurogenesis. 

Our study shows that mathematical modeling is a powerful tool to investigate complex cell systems such as the neurogenic niche of the hippocampus. It is possible to describe the dynamics of stem cell systems using both deterministic \autocite{Enderling:2007,Marciniak:2009,Stiehl:2011,Stiehl:2014clonal,Weeks:2014} and stochastic models \autocite{Klein:2010,Doupe:2012,Chabab:2016}. While the former usually have the form of linear or nonlinear differential equations, the latter are of at least two possible kinds. One is the system of master equations (Chapman-Kolmogorov forward equations if the model is Markovian), which allow computing probability distributions of the state variables as a function of time. If it is desirable to obtain longitudinal information, i.e.\ information concerning the possible time trajectories of the process, the most common practical solution is simulation. A fusion of deterministic and stochastic simulation approaches, as conducted in this study by employing the Gillespie algorithm \autocite{Gillespie:1977}, is very effective to integrate population-level and single cell-level data. The initial deterministic stem cell model consists of linear differential equations, featuring constant rates. Such linear models have been successfully applied before to processes close to homeostasis \autocite{Busch:2015} or uncontrolled growth in cancer \autocite{Michor:2005,Weeks:2014}. In our case, using a linear model allowed identifying time-dependent parameters necessary to explain age-related changes during neurogenesis. This, in turn, suggests which parameters are subject to a nonlinear regulation.

\section{Materials and Methods}
\subsection{Animals}
GFAP-CreER$^\text{T2}$-YFP and Nestin-CreER$^\text{T2}$-YFP reporter mice were housed in the animal facilities of the German Cancer Research Center (DKFZ) at a \SI{12}{\hour} dark/light cycle with free access to food and water. All animal experiments were performed in accordance with the institutional guidelines of the DKFZ and were approved by the Regierungspr{\"a}sidium Karlsruhe, Germany.

\subsection{Tamoxifen and BrdU Administration}
GFAP-CreER$^\text{T2}$-YFP mice received an intraperitoneal (i.p.) Tamoxifen (Sigma; T5648) injection (\SI[per-mode=symbol]{40}{\milli\gram\per\kilogram}) twice a day (morning and evening), for 5 consecutive days. Two days after Tamoxifen treatment, a single shot BrdU (Sigma; B5002; \SI[per-mode=symbol]{150}{\milli\gram\per\kilogram}) was i.p.\ injected and mice were sacrificed two hours later.

\subsection{Long-Term Tracing of NSC-Derived Astrocytes}
Nestin-CreER$^\text{T2}$-YFP reporter mice received Tamoxifen injections as described above and were sacrificed 90 days after the last injection. Thereafter the presence of YFP labeled cells outside the hippocampal region was examined. We did not find any YFP positive cells outside the DG granule cell layer.

\subsection{Tissue Preparation and Staining}
Animals were perfused with $1\times$HBSS (Gibco; 14170-088) and 4\% PFA (Carl Roth; P087.1). Subsequently the brain was postfixed overnight in 4\% PFA and tissue was cut in $\SI{50}{\micro\meter}$ thick coronal brain slices using a Leica VT 1200S vibratome. 

\subsection{Immunohistochemistry}
For each animal, six $\SI{50}{\micro\meter}$ thick coronal brain sections ($\SI{250}{\micro\meter}$ distance between sections) were washed four times, 10 minutes in TBS at room temperature, blocked for one hour in TBS containing 3\% horse serum (Millipore; S9135) and 0.3\% Triton X-100 (Sigma; 9002-93-1) at room temperature, followed by an overnight staining at 4°C in TBS containing 3\% horse serum and 0.3\% Triton X-100 with the following primary antibodies: rat anti BrdU (Abcam; ab6326), chicken anti GFP (Aves; GFP-1020), mouse anti S100$\beta$ (Abcam; ab66028) and rabbit anti Tbr2 (Abcam; ab23345). The next day, brain sections were washed four times, 10 minutes in TBS at room temperature, blocked for 30 minutes TBS containing 3\% horse serum and 0.3\% Triton X-100 at room temperature and stained for two hours in TBS containing 3\% horse serum and 0.3\% Triton X-100 at room temperature with the following secondary antibodies: donkey anti rat 405 (Abcam; ab175670), donkey anti chicken 488 (Jackson ImmunoResearch; 703-545-155), donkey anti mouse 549 (Jackson ImmunoResearch; 715-507-003) and donkey anti rabbit 647 (Jackson ImmunoResearch; 711-605-152). Afterwards sections were washed four times, 10 minutes in TBS at room temperature and mounted on glass slides.

\subsection{Imaging and Quantification}
For each dentate gyrus, confocal z-stacks ($\SI{2}{\micro\meter}$ distance between images) were acquired with a Leica TCS-SP5 confocal microscope with a 20x oil immersion objective and a resolution of $1024\times1024$ at $\SI{100}{\hertz}$. Obtained images were analyzed using the ImageJ Cell Counter Plugin to manually count and mark single cells of different cell types. Different cell populations were defined using the following marker combinations: Neural stem cells (YFP$^+$/S100$\beta^-$/Tbr2$^-$), astrocytes (S100$\beta^+$/Tbr2$^-$), and cycling cells that gained the marker BrdU by retaining their markers described above. Determined cell numbers were quantified as number of cells per cubic millimeter in the DG granule cell layer. The DG volume was calculated by the area of the DG on the central image of the z-stack (measured with ImageJ), multiplied with the z-stack size.       

\subsection{Mathematical Modeling}
\subsubsection{Quantification}
\label{sec:quant}
The stem cell model \eqref{eq:RepModel} contains four parameters $p$, $q$, $r$ and $a$. The value of the proliferation rate $p$ can be inferred from the literature \autocite{Brandt:2012}, since the length of the cell cycle of NSCs was measured as 
\begin{equation}
T_c=\SI{22.8}{\hour}
\end{equation}
and we can interpret this value as the doubling-time of an exponential growth process, leading to 
\begin{equation}\label{eq:doubling}
p=\log(2)/T_c.
\end{equation}
\red{To derive an assumption for the fraction of self-renewal $a$, we consider an equivalent interpretation of this parameter \autocite{Ziebell:2014}. The relation $$a=1\cdot(2a-1)+\frac{1}{2}\cdot2(1-a)$$ shows that $2a-1$ is the corresponding probability of a stem cell division being symmetric and $2(1-a)$ the probability of a stem cell division being asymmetric. The reason is that a dynamics of only symmetric self-renewing divisions has fraction of self-renewal $1$ and one of only asymmetric divisions fraction of self-renewal $\frac{1}{2}$. Thus, to match an overall fraction of self-renewal $a$, the above stated probabilities for symmetric and asymmetric divisions must hold.}

\red{
We assume that $2a-1$, the corresponding probability of a division being symmetric, is $5\%$, leading to $a=0.525$. We justify this choice of $a$ with the suggestion of \textcite{Bonaguidi:2011} that the fraction of symmetric NSC divisions on all divisions is relatively small and thus consider $2a-1=5\%$ and consequently $a=0.525$ as upper limit for the fraction of symmetric NSC divisions. A different value of $a$, even being increased to as far as $a=0.6$ does not affect the drawn conclusions (see the sensitivity analysis in the Supplementary Information).}


The remaining two free parameters $q$ and $r$ are estimated from the population level data of the total number of stem cells (Fig. \ref{fig:stemDecl}) and the fraction of BrdU incorporating stem cells (Fig. \ref{fig:stemBrduFrac}). To fit the BrdU incorporation data, we use that the fraction of BrdU incorporating NSCs is the product of the fraction of cycling NSCs on all NSCs times the relative length of the S-phase in the cell cycle, $T_s/T_c$, with $T_s=\SI{9.7}{\hour}$ \autocite{Brandt:2012}. The reason is that the thymidine analog BrdU can only be incorporated in cells which are in the stage of DNA synthesis.

In the case of estimating $q$ and $r$ from the clonal data (Fig. \ref{fig:clonalFit}), the model was converted into a corresponding stochastic processes using the Gillespie method \autocite{Gillespie:1977}. Afterwards, $10^4$ NSC clones were simulated and the resulting mean fraction of quiescent, activated and depleted clones was fitted to the clonal data. \red{The Gillespie method allows to simulate stochastic trajectories such that at every time point the mean state of the system is given by the solution of the corresponding differential equation. Accordingly, the set of reactions used to simulate the clonal data is given by}
	
\begin{equation}
\begin{aligned}
Q &\xrightarrow{r} A,\\
Q &\xrightarrow{q}\emptyset,\\
A &\xrightarrow{p (2a-1)} 2\times Q,\\
A &\xrightarrow{p2(1-a)} Q+X,
\end{aligned}
\end{equation}
\red{where $Q$ denotes quiescent stem cells, $A$ active stem cells and $\emptyset$ depletion of stem cells from the stem cell pool and $X$ a non-stem cell (Fig. \ref{fig:RepModel}). To incorporate resilient NSCs into this model, we assume that a fraction $\rho$ of all simulated quiescent NSCs $Q$ undergoes no reactions, whereas a fraction $1-\rho$ of those cells is subject to the first two reactions.}

In general, model fitting was performed using the \texttt{NonlinearModelFit} procedure of \textsl{Mathematica $9$} to numerically minimize the weighted sum of squared residuals. Weights were chosen as inverse squares of the data points standard error of the mean according to the \textsl{Mathematica} documentation for fitting data with measurement errors. Estimated parameters for the stem cell model are summarized in the Table \ref{tab:OnceRepModels}.
\begin{table}[htbp]
	\centering	
	\caption{Estimated parameters of model \eqref{eq:RepModel}. Data type indicates whether the model was fitted to the population-level data (Figs \ref{fig:stemDecl} and \ref{fig:stemBrduFrac}) or the clonal data (Fig. \ref{fig:clonalFit}).}
	\begin{tabular}{cp{16ex}}
		\toprule  Data Type & Parameters\\ 			
		\midrule  Population-level &
		$q=0.021\,\mathrm{d}^{-1}$\newline
		$r=0.021\,\mathrm{d}^{-1}$\newline
		$\rho=0$\\  		
		\midrule  Clonal &
		$q=0.0057\,\mathrm{d}^{-1}$\newline
		$r=0.047\,\mathrm{d}^{-1}$\newline
		$\rho=0.11$\\
		\bottomrule
	\end{tabular}
\label{tab:OnceRepModels}
\end{table}
\FloatBarrier
The full neurogenesis model \eqref{eq:NeurogenesisModel} contains 12 parameters, of which 8 are already estimated or taken from the literature (Table \ref{tab:parValues}). The parameters $\kappa$, $d$ and $f$ are not known prior to the Dkk1 experiment and need to be inferred from fitting the full model to \red{the astrocyte accumulation data (Fig.\ \ref{fig:transAna}) and the WT part of the Dkk1 data (Fig.\ \ref{fig:dataVsModelWT})}.
\begin{table}[htbp]
	\centering
	\caption{Parameter values of system  \eqref{eq:NeurogenesisModel}, which is used to model the Dkk1 experiment of \textcite{Seib:2013}.}
	\begin{tabular}{ccc}
		\toprule
		parameter & value & source\\
		\midrule
		$p^\text{stem}$ & $\log(2)/(\SI{22.8}{\hour})$ & \textcite{Brandt:2012}\\
		$q_\text{max}$ & $\SI{0.0431}{\per\day}$ & Table \ref{tab:agingModels}\\
		$r$ & $\SI{0.0198}{\per\day}$ & Table \ref{tab:agingModels}\\
		$\beta_q$ & $\SI{0.00921}{\per\day}$ & Table \ref{tab:agingModels}\\
		$a$ & $0.525$ & \textcite{Bonaguidi:2011}\\
		$p^\text{prog}$ & $\log(2)/(\SI{15.6}{\hour})$ & Suppl.\ Fig.\ \ref{afig:progR2}\\
		$N$ & $2$ & Suppl.\ Fig.\ \ref{afig:progFit}\\
		$\delta_\text{phag}$ & $\SI{0.66}{\per\hour}$ & \textcite{Sierra:2010}\\
		\bottomrule
	\end{tabular}	
	\label{tab:parValues}
\end{table}
\FloatBarrier
Estimating the unknown parameters $\theta$, $\kappa$, $d$ and $f$ leads to the values displayed in Table \ref{tab:estParValues}. As previously stated, the resulting fraction of surviving neuroblasts,
\begin{equation}
	\frac{f}{d+f}\approx38\%,
\end{equation}
is consistent with experimental findings \autocite{Sierra:2010}.
\begin{table}[htbp]
	\centering	
	\caption{Estimated parameters of the full neurogenesis model \eqref{eq:NeurogenesisModel} as a result of fitting \red{the astrocyte accumulation data (Fig.\ \ref{fig:transAna}) and the WT part of the Dkk1 data (Fig.\ \ref{fig:dataVsModelWT}).}}
	\begin{tabular}{cc}
		\toprule
		parameter & value \\
		\midrule
		$\theta$ & 0.473\\
		$\kappa$ & 0.764\\
		$d$ & $\SI{0.025}{\per\day}$\\
		$f$ & $\SI{0.015}{\per\day}$\\
		\bottomrule
	\end{tabular}	
	\label{tab:estParValues}
\end{table}
\FloatBarrier
\subsubsection{Model Selection}
To assess the plausibility of the different scenarios to explain the saturation of the NSC decline, we make use of model selection theory. For each scenario, we compute its corresponding AIC value and compare the resulting Akaike weights $\Delta$ (Table \ref{tab:agingModels}), which penalize overly complex models. The recommendation is that the level of empirical support of a certain model is substantial if $0\leq\Delta\leq 2$, considerably less, if $4\leq\Delta\leq7$ and essentially none, if $\Delta>10$ holds \autocite{Burnham:2002}. Thus, the only two considerable mechanisms besides the decreasing depletion mechanism are the scenario of increasing self-renewal and the existence of a population of resilient NSCs (Table \ref{tab:agingModels}). However, as outlined previously, the former scenario contradicts the observation of a decline of NSCs and downstream cell types at old age \autocite{Walter:2011}, while the latter contradicts the observation of a constant fraction of BrdU incorporating NSCs up to 20 months of age \autocite{Encinas:2011}.
\begin{table}
\centering
	\caption{Parameters estimated during the analysis of different mechanisms to explain the saturation of the NSC decline. AICc is the small sample size corrected Akaike information criterion and $\Delta$AICc the corresponding Akaike weight, i.e.\ the difference to the smallest AICc value.}
	\begin{tabular}{cp{20ex}ccc} 
		\toprule Mechanism & Parameters & $R^2$ & AICc & $\Delta$AICc \\ 
		
		\midrule Decreasing depletion &
		$q_\text{max}=0.043\,\mathrm{d}^{-1}$\newline
		$r=0.020\,\mathrm{d}^{-1}$\newline
		$\beta_q=0.0092\mathrm{d}^{-1}$
		& $0.915$ & $242.26$ & 0\\
		
		\midrule Resilient population &
		$q=0.021\,\mathrm{d}^{-1}$\newline
		$r=0.026\,\mathrm{d}^{-1}$\newline
		$\rho=0.035$
		& $0.909$ & $245.96$ & $3.7$\\
		
		\midrule Cell cycle lengthening &
		$q=0.020\,\mathrm{d}^{-1}$\newline
		$r=0.027\,\mathrm{d}^{-1}$\newline
		$\beta_p=0.019\,\mathrm{d}^{-1}$
		& $0.909$ & $246.26$ & $4$\\
		
		\midrule Increasing self-renewal &
		$q=0.026\,\mathrm{d}^{-1}$\newline
		$r=0.019\,\mathrm{d}^{-1}$\newline
		$\alpha_a=0.0022\,\mathrm{d}^{-1}$
		& $0.907$ & $247.22$ & $5$\\
		
		\midrule Increasing quiescence &
		$q_\text{max}=0.031\,\mathrm{d}^{-1}$\newline
		$r_\text{max}=0.038\,\mathrm{d}^{-1}$\newline
		$\beta_{qr}=0.0071\,\mathrm{d}^{-1}$
		& $0.903$ & $249.62$ & $7.4$\\
		
		\midrule Increasing activation &
		$q=0.011\,\mathrm{d}^{-1}$\newline
		$r_\text{min}=0.019\,\mathrm{d}^{-1}$\newline
		$\alpha_r=4.5\times10^{-6}\,\mathrm{d}^{-1}$
		& $0.865$ & $267.59$ & $25.3$\\
		
		\bottomrule
	\end{tabular}
	\label{tab:agingModels}
\end{table}
\FloatBarrier
To find the best explanation for the effects upon Dkk1 KO, we employ a nested approach by considering simple, i.e.\ few parameters involving, explanations as well as more complex scenarios (Table \ref{tbl:ParEstDkk1}). At first, we assume that only one of the stem cell parameters $a$, $p^\text{stem}$, $q_\text{max}$ or $r$ and in addition the neuroblast death rate $d$ changes. The best fit to the data is achieved by a decrease of the depletion rate $q_\text{max}$ or an increase of the activation rate $r$. In contrast, the scenario of increased self-renewal $a$ displays a considerably worse fit. The decreased depletion and increased activation scenario both lead to a shift of the balance between NSC activation and depletion towards a higher fraction activation events. We thus also consider a scenario in which both parameters, $q_\text{max}$ and $r$ change simultaneously and find that it improves the fit. It is also possible that all NSC parameters change, resulting in an even better fit. 

Although the fit improves with an increasing number of parameters, we again compute AIC values to assess if the increased goodness of fit justifies the additional complexity of the model. Applying the previously mentioned recommendation of $0\leq\Delta\leq 2$, scenarios leading to the discussed shift of the balance between NSC activation and depletion towards a higher fraction activation events should be considered first (Table \ref{tbl:ParEstDkk1}). Moreover, the originally suggested increased self-renewal \autocite{Seib:2013} of NSCs can be disregarded to explain the effects of Dkk1 deletion.
\begin{table}[htbp]
	\centering
	\caption{Estimated changes of WT parameters to account for the Dkk1 KO effects. $\Delta$AICc denotes the Akaike weight of the respective model corresponding to the small-sample-size corrected Akaike information criterion (AICc).}
	\begin{tabular}{cccccccc}
		\toprule
		$\Delta_a$	& $\Delta_{p^\text{stem}}$ 	&	$\Delta_{q_\text{max}}$	& $\Delta_r$	& $\Delta_d$	& $R^2$	& AICc & $\Delta$AICc\\
		\midrule
		.20			& --					& --					& --			& .74			& .861 	& 279.7	&	28.5\\
		--			& -.20					& --					& --			& .80			& .820 	& 292.8	&	41.6\\
		--			& --					& -.52					& --			& 1.50			& .922 	& 251.2	&	0\\
		--			& --					& --					& .45			& 1.52			& .916 	& 254.8	&	3.6\\
		--			& --					& -.40					& .11			& 1.53			& .922 	& 253.0	&	1.8\\
		.053		& -.18					& -.11					& .30			& 1.40			& .924 	& 256.9	&	5.7\\
		\bottomrule
	\end{tabular}
	\label{tbl:ParEstDkk1}
\end{table}

\section*{Competing interests}
No competing interests declared.

\section*{Funding}
This work was supported by research funding from the German Research Foundation DFG (SFB 873; subprojects B08 to A.M.-C. and F.Z., and B09 to A.M.-V.)
\printbibliography


\newpage 


\section*{Figures captions}
\begin{figure}[H]	
	\caption{
	\textbf{Graphical representation of the proposed model}\\
	 Quiescent NSCs are either activated to enter the cell cycle and subsequently perform a symmetric or asymmetric division, or vanish from the NSC pool by a depletion event. Moreover, cycling NSCs re-enter the quiescent phase after division.
}
\end{figure}

\begin{figure}
\caption{
		\textbf{GFAP-YFP-expressing cells in the DG and population-level dynamics of hippocampal neural stem cells}\\
		\subref{fig:dgYoung} \& \subref{fig:dgOld} GFAP-YFP-positive cells  in 8-weeks-old \subref{fig:dgYoung} and 56-weeks-old \subref{fig:dgOld} GFAP-YFP reporter mice. Scale bar $\SI{100}{\micro\meter}$.\\
		\subref{fig:nscImg} \& \subref{fig:astroImg} Representative confocal images of immunostaining for GFP (green) and S100$\beta$ (red). Shown are examples of a GFAP$^+$/S100$\beta^-$ neural stem cell \subref{fig:nscImg} and a GFAP$^+$/S100$\beta^+$ astrocyte \subref{fig:astroImg}. Scale bar $\SI{20}{\micro\meter}$.\\
		\subref{fig:stemDecl} \& \subref{fig:stemBrduFrac} Fit of the proposed model to the total number of NSCs \subref{fig:stemDecl} and the fraction of BrdU incorporating NSCs \subref{fig:stemBrduFrac}. \red{Estimated parameters are displayed in Table \ref{tab:OnceRepModels}.}\\
	}
\end{figure}

\begin{figure}	
	\caption{
		\textbf{\red{Comparison} of the proposed model to the clonal data of \textcite{Bonaguidi:2011}}\\
		Results are obtained by simulating 100 NSC clones for 1000 times. Simulation data are represented as mean (solid black line) and (gray) band containing 95\% of all simulated trajectories. Black error bars correspond to the clonal data. \red{Estimated parameters are displayed in Table \ref{tab:OnceRepModels}.}\\
		\red{
			\subref{fig:cloFitPopPars} Simulation of the stochastic counterpart of model \eqref{eq:RepModel} using the parameters of the population-level fit displayed in Fig.\ \ref{fig:popData}.\\
			\subref{fig:cloFitCloPars} Fit of the stochastic counterpart of model \eqref{eq:RepModel} by estimating model parameters.
		}
	}
\end{figure}

\begin{figure}
\caption{\textbf{Evaluation of different scenarios to explain the saturation of the stem cell decline.}
Model fit to the population-level data of Fig.\ \ref{fig:popData}, assuming 
\subref{fig:DecDepFit2} a decreasing NSC depletion rate during aging,
\subref{fig:TwoPopFit} an additional population of resilient NSCs,
\subref{fig:LenCCFit} age-related lengthening of NSC's cell cycle,
\subref{fig:IncSelfFit} that stem cells increase their self-renewal during aging,
\subref{fig:IncQuiFit} that stem cells stay progressively longer in quiescence during aging,
\subref{fig:IncActFit} that the fraction of activated stem cells increases during aging.}

\end{figure}
\begin{figure}	
	\caption{{\bf Predicted age-related changes} of \subref{fig:meanQui} the average time a stem cell stays in the quiescent phase and \subref{fig:actProb} the probability a stem cell becomes activated rather than depleted from the quiescent phase.
	}
	
\end{figure}	
\begin{figure}
	\caption{{\bf Age-related accumulation of astrocyte numbers.} Dashed line represents expected number of astrocytes, assuming that 100\% of the NSC decline is caused by astrocytic transformation. Solid line results from fitting the fraction of transformation events to the data, indicating that about half of the NSC decline is caused by astrocytic transformation.}

\end{figure}
\begin{figure}	
	\caption{
		\textbf{Evaluation of the Dkk1 Knockout Study \autocite{Seib:2013}}\\
		\subref{fig:ProtokolDkk1} Graphical representation of the experimental protocol\\
		\subref{fig:dataVsModelWT} Comparison of the wildtype part of the data and the mathematical model\\
		\subref{fig:dataVsModelKOWT_qd} Observed KO effects versus model, assuming decreased NSCs depletion rate. KO effects are defined as  ratio of the KO data to the corresponding WT data, i.e.\ $\text{KO effect}=\text{(KO data)}/\text{(WT data)}$\\
		\subref{fig:dataVsModelKOWT_ad} Observed KO effects versus the model, assuming increased NSCs self-renewal\\
		\subref{fig:meanQuiComp} Mean time of a stem cell to remain in the quiescent stage. In the case of Dkk1 deletion, this time is increased.\\
		\subref{fig:actProbComp} Age-dependent activation probability of stem cells. In the KO case, NSCs have a higher activation probability.\\
		\subref{fig:nbApopComp} Probability of a neuroblast to die rather than maturing into a neuron. In the case of Dkk1 knockout, a higher fraction of neuroblasts dies.\\
		\subref{fig:neuroProd} Production rate of new neurons. Dkk1 deletion alters the number of newborn neurons and results in higher neuron production at old age.
	}

\end{figure}

\setcounter{table}{0}
\renewcommand{\thetable}{\arabic{table}}
\setcounter{figure}{0}
\renewcommand{\thefigure}{\arabic{figure}}

\section*{Figures}
\begin{figure}	
	\centering
	\begin{tikzpicture}[baseline=0pt,node distance = 13ex, auto, scale=1, transform shape,line width=.5pt]
	\node [quicell] (qS) {quiescent NSC};
	\node [activation, below left of=qS] (S) {activation}
	edge [<-] node[near start] {$r$} (qS);
	\node [divisiontype, below of=S] (div) {division}
	edge [<-] node {$p$} (S);
	\node [activation, below right of=qS] (dep) {depletion}
	edge [<-] node[auto,swap,near start] {$q$} (qS);
	\node [depletion, below of=dep] (transact) {$NSC\rightarrow \emptyset$}
	edge [<-] (dep);	
	\node [decision, below of=div] (qsym) {?}
	edge [<-] (div);
	\node [divisiontype, below left = 30pt of qsym] (sym) {symmetric}
	edge [<-] node {$2a-1$} (qsym);
	\node [division, below of=sym] (symdiv) {$NSC\rightarrow 2\times NSC$}
	edge [<-] (sym);	
	\path[->] (symdiv.west) edge [bend left=50] (qS.west);
	\node [divisiontype, below right = 30pt of qsym] (asym) {asymmetric}
	edge [<-] node[auto,swap] {$2(1-a)$} (qsym);
	\node [division, below of=asym] (neudiv) {$NSC\rightarrow NSC+X$}
	edge [<-] (asym);	
	\path[->] (neudiv.east) edge [bend right=60] (qS.east);
	\end{tikzpicture}
\caption{
}
\label{fig:RepModel}
\end{figure}

\begin{figure}
	\begin{subfigure}[b]{.65\textwidth}
		
		\subcaption{\label{fig:dgYoung}}
		\includegraphics[width=\textwidth]{include/8weDG.pdf}
	\end{subfigure}
	\hfill
	\begin{subfigure}[b]{.318\textwidth}	
		\subcaption{\label{fig:nscImg}}
		\includegraphics[width=\textwidth]{include/NSC.pdf}
	\end{subfigure}\\
	\begin{subfigure}[t]{.65\textwidth}	
		\subcaption{\label{fig:dgOld}}
		\includegraphics[width=\textwidth]{include/56weDG.pdf}
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.318\textwidth}	
		\subcaption{\label{fig:astroImg}}
		\includegraphics[width=\textwidth]{include/Astro.pdf}
	\end{subfigure}\\
	\begin{subfigure}[t]{.45\textwidth}		
		\subcaption{\label{fig:stemDecl}}
		\includegraphics[height=130pt]{include/StemFit.pdf}		
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.45\textwidth}	
		\subcaption{\label{fig:stemBrduFrac}}
		\includegraphics[height=130pt]{include/StemBrduFit.pdf}		
	\end{subfigure}
	\caption{
	}
	\label{fig:popData}
\end{figure}

\begin{figure}	
	\begin{subfigure}[t]{\textwidth}
		\subcaption{\label{fig:cloFitPopPars}}
		\includegraphics[width=.31\textwidth]{include/modelPopFitQui.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelPopFitAct.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelPopFitDep.pdf}
	\end{subfigure}
	\begin{subfigure}[t]{\textwidth}
		\subcaption{\label{fig:cloFitCloPars}}
		\includegraphics[width=.31\textwidth]{include/modelCloFitQui.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelCloFitAct.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelCloFitDep.pdf}
	\end{subfigure}
	\caption{
	}
	\label{fig:clonalFit}
\end{figure}

\begin{figure}
	\begin{subfigure}[t]{\textwidth}
		\centering
		\subcaption{\label{fig:DecDepFit2}}
		\includegraphics[height=80pt]{include/DecDepStemLogFit.pdf}\quad
		\includegraphics[height=80pt]{include/DecDepStemBrduFit.pdf}	
	\end{subfigure}
	\begin{subfigure}[t]{\textwidth}	
		\centering
		\subcaption{\label{fig:TwoPopFit}}
		\includegraphics[height=80pt]{include/TwoPopStemLogFit.pdf}\quad
		\includegraphics[height=80pt]{include/TwoPopStemBrduFit.pdf}	
	\end{subfigure}
	\begin{subfigure}[t]{\textwidth}
		\centering	
		\subcaption{\label{fig:LenCCFit}}
		\includegraphics[height=80pt]{include/LenCCStemLogFit.pdf}\quad
		\includegraphics[height=80pt]{include/LenCCStemBrduFit.pdf}	
	\end{subfigure}
	\begin{subfigure}[t]{\textwidth}
		\centering	
		\subcaption{\label{fig:IncSelfFit}}
		\includegraphics[height=80pt]{include/IncSelfStemLogFit.pdf}\quad
		\includegraphics[height=80pt]{include/IncSelfStemBrduFit.pdf}		
	\end{subfigure}
	\begin{subfigure}[t]{\textwidth}
		\centering	
		\subcaption{\label{fig:IncQuiFit}}
		\includegraphics[height=80pt]{include/IncQuiStemLogFit.pdf}\quad
		\includegraphics[height=80pt]{include/IncQuiStemBrduFit.pdf}
	\end{subfigure}
	\begin{subfigure}[t]{\textwidth}
		\centering
		\subcaption{\label{fig:IncActFit}}
		\includegraphics[height=80pt]{include/IncActStemLogFit.pdf}\quad
		\includegraphics[height=80pt]{include/IncActStemBrduFit.pdf}	
	\end{subfigure}
\caption{
}
\label{fig:agingScenarios}
\end{figure}

\begin{figure}	
	\begin{subfigure}[b]{.45\textwidth}
		\subcaption{\label{fig:meanQui}}
		\includegraphics[width=\textwidth]{include/meanQuiWT.pdf}
	\end{subfigure}
	\qquad
	\begin{subfigure}[b]{.45\textwidth}
		\subcaption{\label{fig:actProb}}
		\includegraphics[width=\textwidth]{include/actProbWT.pdf}
	\end{subfigure}
	\caption{
	}
	\label{fig:decDepQuantification}
\end{figure}	
	
\begin{figure}
	\centering
	\includegraphics[height=150pt]{include/astroTransformation.pdf}
	\caption{}
	\label{fig:transAna}
\end{figure}

\begin{figure}	
	\begin{subfigure}[b]{\textwidth}
		\caption{\label{fig:ProtokolDkk1}}
		\begin{tikzpicture}
		\draw [->,ultra thick] (0,0) -- (11,0);
		\draw (0,-.3) -- (0,.3);
		\node [text width=20ex, text centered] at (0,-1) {TAM at\\ age 8-12\,w};
		\draw [<->] (.1,.5) -- (5.1, .5) node [above,midway] {$5$w};
		\draw (5.2,-.3) -- (5.2,.3);
		\node [text width=4ex, text centered] at (5.2,-1) {BrdU};
		\draw [<->] (5.3,.7) -- (6.3, .7) node [above,midway] {$24$h};
		\draw (6.4,-.3) -- (6.4,.3);
		\node [text width=4ex, text centered] at (6.4,-1) {$\dagger$};
		\draw (10,-.3) -- (10,.3);
		\draw [<->] (5.3,.5) -- (9.9, .5) node [above,midway] {$4$w};
		\node [text width=4ex, text centered] at (10,-1) {$\dagger$};
		\end{tikzpicture}
	\end{subfigure}\\
	\begin{subfigure}[b]{\textwidth}
		\subcaption{\label{fig:dataVsModelWT}}
		\includegraphics[width=.13\textwidth]{include/dataVsModelWTData1.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelWTData2.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelWTData3.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelWTData4.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelWTData5.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelWTData6.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelWTData7.pdf}
	\end{subfigure}\\
	\begin{subfigure}[b]{\textwidth}
		\subcaption{\label{fig:dataVsModelKOWT_qd}}
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_qd_1.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_qd_2.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_qd_3.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_qd_4.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_qd_5.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_qd_6.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_qd_7.pdf}
	\end{subfigure}\\
	\begin{subfigure}[b]{\textwidth}
		\subcaption{\label{fig:dataVsModelKOWT_ad}}
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_ad_1.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_ad_2.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_ad_3.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_ad_4.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_ad_5.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_ad_6.pdf}\hfill
		\includegraphics[width=.13\textwidth]{include/dataVsModelKOData_Change_ad_7.pdf}
	\end{subfigure}\\
	\begin{subfigure}[t]{.24\textwidth}	
		\subcaption{\label{fig:meanQuiComp}}
		\includegraphics[width=\textwidth]{include/meanQui.pdf}		
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.24\textwidth}
		\subcaption{\label{fig:actProbComp}}
		\includegraphics[width=\textwidth]{include/actProb.pdf}
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.173\textwidth}
		\subcaption{\label{fig:nbApopComp}}
		\includegraphics[width=\textwidth]{include/apopProb.pdf}	
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.24\textwidth}
		\subcaption{\label{fig:neuroProd}}
		\includegraphics[width=\textwidth]{include/neuroProd.pdf}
	\end{subfigure}
	\caption{
	}
	\label{fig:Dkk1}
\end{figure}


\newpage 
\setcounter{section}{0}
\renewcommand{\thesection}{S\arabic{section}}
\setcounter{table}{0}
\renewcommand{\thetable}{S\arabic{table}}
\setcounter{figure}{0}
\renewcommand{\thefigure}{S\arabic{figure}}
\section*{Supplementary Information}

\section{Stem Cell Depletion Coupled to Stem Cell Division}
\red{
In contrast to stem cell model \eqref{eq:RepModel}, it is also possible to assume that stem cell depletion does not occur from quiescence but rather after a series of asymmetric division events \autocite{Encinas:2011}. We can model this idea with the equations
\begin{equation}\label{eq:OnceModel}
\bal
\ddt c_0(t) &=-r c_0(t),\\
\ddt c_1^n(t) &= r c_0(t) - p c_1^n(t),\\
\ddt c_1^{k}(t) &= p c_1^{k+1}(t) - p c_1^{k}(t),\\
\ddt c_1^0(t) &= pc_1^1(t)-qc_1^0(t),
\eal
\end{equation}
where $n\in\mathbb{N}$ is the maximum number of asymmetric NSC divisions, $c_0$ denotes quiescent NSCs and $c_1^k$ ($1\leq k\leq n$) cycling NSCs with $k$ divisions remaining. The variable $r$ represents the activation rate of quiescent NSCs, $p$ the division rate of proliferating NSCs and $q$ is the rate of NSCs with no remaining divisions to transform into astrocytes (Supplementary Information Fig.\ \ref{fig:OnceModel}). Using the suggestion of \textcite{Encinas:2011} of $n=3$ asymmetric divisions and the previously stated measurement on the proliferation rate \eqref{eq:doubling}, model \eqref{eq:OnceModel} can also be fitted to the population-level data (Supplementary Information Figs.\ \ref{fig:stemDecl2} \& \ref{fig:stemBrduFrac2}) or the clonal data (Supplementary Information Fig.\ \ref{fig:OnceModelCloFit}), but not simultaneously.}

\red{A distinction between the models \eqref{eq:OnceModel} and \eqref{eq:RepModel} can be made by comparing the dynamics of the clonal fit to the time-varying composition of the NSC pool. In the case of model \eqref{eq:OnceModel}, the fraction of cycling NSCs vanishes within three months (Supplementary Information Fig.\ \ref{fig:OnceModelCloFitCloDataDist}), contradicting the observed constant fraction of BrdU incorporating NSCs during aging (\textcite{Encinas:2011} and Fig.\ \ref{fig:stemBrduFrac}). In contrast, model \eqref{eq:RepModel} allows maintaining a constant fraction of proliferating stem cells, consistent with experimental observations (Supplementary Information Fig.\ \ref{fig:RepModelCloFitCloDataDist}).}

\red{In summary, both models can be parametrized to reproduce either the population level or the clonal data, but not simultaneously. However, model \eqref{eq:RepModel} can plausibly be fitted to the clonal data, while the alternative model \eqref{eq:OnceModel} leads to a biologically implausible prediction when fitted to this dataset.}

\begin{figure}[htbp]
	\centering
	\begin{tikzpicture}[baseline=0pt,node distance = 5ex, auto, scale=.54, transform shape,line width=.5pt]
	\node [quicell] (qS) {quiescent NSC};
	\node [activation, below=8ex of qS] (act) {activation}
	edge [<-] node[auto] {$r$} (qS);
	\node [divisiontype, below=8ex of act] (1div) {\nth{1} division}
	edge [<-] node[auto] {$p$} (act);
	\node [division, right=8ex of 1div] (1divv) {$NSC\rightarrow NSC+X$}
	edge [<-] node[above] {} (1div);
	\node [divisiontype, below=8ex of 1div] (2div) {\nth{2} division}
	edge [<-] node[auto] {$p$} (1divv);
	\node [division, right=8ex of 2div] (2divv) {$NSC\rightarrow NSC+X$}
	edge [<-] node[above] {} (2div);
	\node [divisiontype, below=8ex of 2div] (3div) {\nth{3} division}
	edge [<-] node[auto] {$p$} (2divv);
	\node [division, right=8ex of 3div] (3divv) {$NSC\rightarrow NSC+X$}
	edge [<-] node[above] {} (3div);
	\node [activation, below=8ex of 3div] (transf) {post-mitotic}
	edge [<-] node[auto] {$q$} (3divv);
	\node [depletion, right=8ex of transf] (transff) {$NSC\rightarrow A$}
	edge [<-] node[above] {} (transf);
	\end{tikzpicture}
	\caption{
		\textbf{Graphical representation of model \eqref{eq:OnceModel}.}\\
		Quiescent NSCs can become activated to enter the cell cycle and subsequently perform a series of three asymmetric divisions by producing a NSC and another cell (X) before entering the post-mitotic stage and transforming into an astrocyte (A).
		\label{fig:OnceModel}
	}
\end{figure}

\begin{figure}[h]
	\centering
	\begin{subfigure}[t]{.49\textwidth}
		\centering
		\subcaption{\label{fig:stemDecl2}}
		\includegraphics[height=110pt]{include/StemFit.pdf}		
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.49\textwidth}
		\centering
		\subcaption{\label{fig:stemBrduFrac2}}
		\includegraphics[height=110pt]{include/StemBrduFit.pdf}		
	\end{subfigure}\\
	\begin{subfigure}[t]{.99\textwidth}
		\centering
		\subcaption{\label{fig:OnceModelCloFit}}
		\hfill
		\includegraphics[width=.3\textwidth]{include/OnceModelCloFitQui.pdf}
		\hfill
		\includegraphics[width=.3\textwidth]{include/OnceModelCloFitAct.pdf}
		\hfill
		\includegraphics[width=.3\textwidth]{include/OnceModelCloFitDep.pdf}
		\hfill
	\end{subfigure}\\
	\caption{
		\textbf{Fit of model \eqref{eq:OnceModel} to population-level and clonal data.}\\
		\subref{fig:stemDecl2} \& \subref{fig:stemBrduFrac2} Fit of the model to population-level data displayed in Fig.\ \ref{fig:popData}. Estimated parameters are $q=\SI{0.030}{\per\day}$ and $r=\SI{0.019}{\per\day}$\\		
		\subref{fig:OnceModelCloFit} Fit of the model to the clonal data of \textcite{Bonaguidi:2011}. Results are obtained by simulating 100 NSC clones for 1000 times. Simulation data are represented as mean (solid black line) and (gray) band containing 95\% of all simulated trajectories. Black error bars correspond to the clonal data. Estimated parameters are $q=\SI{0.0048}{\per\day}$, $r=\SI{0.042}{\per\day}$ and $\rho=0.087$.
	}
	\label{fig:onceModelFit}
\end{figure}

\begin{figure}[h]
	\centering
	\begin{subfigure}[t]{.49\textwidth}
		\centering
		\subcaption{\label{fig:OnceModelCloFitCloDataDist}}
		\includegraphics[width=.95\textwidth]{include/OnceModelCloFitCloDataDist.pdf}
	\end{subfigure}
	\hfill
	\begin{subfigure}[t]{.49\textwidth}
		\centering
		\subcaption{\label{fig:RepModelCloFitCloDataDist}}
		\includegraphics[width=\textwidth]{include/RepModelCloFitCloDataDist.pdf}	
	\end{subfigure}
	\caption{
		\textbf{Comparison of clonal dynamics of models \eqref{eq:OnceModel} and \eqref{eq:RepModel}}\\
		Time course of the composition of the NSC pool in model \eqref{eq:OnceModel} \subref{fig:OnceModelCloFitCloDataDist} and model \eqref{eq:RepModel} \subref{fig:RepModelCloFitCloDataDist} with the dynamics of the respective clonal fit. $X$-axis represents time in days, $Y$-axis relative amount in per cent.
	}
	\label{fig:OnceRepDyn}
\end{figure}
\FloatBarrier

\section{Astrocytic Transformation}
We want to give an explanation for the claim that NSC apoptosis is almost non-detectable in the case of $1-\theta=52.7\%$ of the NSC decline resulting from apoptosis. Consider the stem cell model \eqref{eq:RepModel} including aging effects \eqref{eq:decDep}. To model the dynamics of NSC apoptosis, we add a new compartment $c_\mathrm{A}$ accounting for \textit{apoptotic}, i.e.\ biologically dead but physically present stem cells. The dynamics of NSCs at a certain age $\tau$ is thus given by
\[
\begin{aligned}
\ddt c_0(t) &=-(r+q(\tau)) c_0(t) + 2 a p c_1(t),\\
\ddt c_1(t) &= r c_0(t) - p c_1(t),\\
\ddt c_\mathrm{A}(t) &= (1-\theta)q(\tau) c_0(t) - \delta_\text{phag} c_\mathrm{A}(t),
\end{aligned}
\]
where $\delta_\text{phag}$ is the rate at which apoptotic cells are cleared via phagocytosis within, on average, $1/\delta_\text{phag}=\SI{1.5}{\hour}$ \autocite{Sierra:2010}. At the age of $\tau = 2$\;months, there are about $n_0=10000$ NSCs in the entire dentate gyrus \autocite{Encinas:2011} and the number of apoptotic NSCs can be calculated by that number times the steady state fraction of apoptotic NSCs on all NSCs. Accordingly, there are
\[
n_0\cdot\lim_{t\to\infty}\frac{c_\mathrm{A}(t)}{c_0(t)+c_1(t)+c_\mathrm{A}(t)} = 8
\]
apoptotic stem cells in the entire dentate gyrus. Considering the usual sampling fraction of one sixth of the DG, there only remain about two apoptotic stem cells to be detected.

To analyze the scenario that the accumulation of astrocytes could be explained with a higher transformation rate $\theta$ if in addition astrocytes are allowed to undergo apoptosis, we consider the modified dynamics 
\begin{equation}
\ddt c_2(t) = \theta q(t) c_0(t) + (1-\kappa)2(1-a)pc_1(t) - d_2c_2(t),
\end{equation}
where $d_2$ is the death rate of astrocytes. Estimating $\theta$ and $d_2$ simultaneously yields $\theta=0.364$ and $d_2=\SI{1.4e-5}{\per\day}$, showing that there is no justification for such scenario. In addition, assuming $\theta=1$ and only estimating $d_2$ results in an AICc score of $373.1$, which compared to the AICc of $353.3$ for the no-apoptosis model further indicates that there is no support for this scenario from a model selection viewpoint.

\section{Dynamics of Progenitor Cells}\label{sec:prog}
To model the dynamics of progenitor cells, we again make use of the study of \textcite{Encinas:2011}. We consider the  data set in which the authors label dividing cells with BrdU and track the number of BrdU labeled progenitors (Supplementary Information Fig. \ref{afig:ProgDynamics}). Because of the rapid increase and subsequent decrease of labeled cells, they concluded that progenitors perform a series of symmetric self-renewing divisions, followed by subsequent transformation into neuroblasts.
\begin{figure}	
	\centering
	\includegraphics[height=150pt]{include/progBrduData.pdf}
	\captionof{figure}{Time course of the dynamics of neural progenitor cells. Two months old mice were injected with BrdU and sacrificed at several time points after injection. Depicted is the number of BrdU positive progenitor cells. Data is reproduced from the publication of \textcite{Encinas:2011}.}
	\label{afig:ProgDynamics}
\end{figure}

We model the dynamics of progenitors with the equations
\begin{equation}\label{eq:ProgModel}
\begin{aligned}
\ddt P_k(t) &= 2pP_{k+1}(t)-pP_k(t),\\
\ddt P_N(t) &= -p P_N(t)
\end{aligned}
\end{equation}
for $k=0,\ldots,N-1$. Here, $P_i$ is the number of progenitor cells with $i$ remaining divisions and $p>0$ is the proliferation rate. Moreover, we assume that at the start of the experiment, all progenitors have $N$ remaining divisions, i.e.\ $P_N(0)=n$ for some $n>0$ and $P_k(0)=0$ for $k\neq N$. 

For quantifying $p$, we consider the corresponding cell cycle length $t_c$, which is linked to $p$ via \eqref{eq:doubling}. The cell cycle length of progenitor cells has been measured in different studies, however with contrasting results ranging from $12-\SI{14}{\hour}$ to about $\SI{22}{\hour}$ \autocite{Hayes:2002,Farioli:2014}. We thus employ an unbiased approach for quantification by assuming different cell cycle lengths $t_c$ and compute the $R^2$ of the fit dependent on $N$, the maximum number of progenitor divisions (Supplementary Information Fig. \ref{afig:progR2}).
\begin{figure}
	\centering
	\includegraphics[height=150pt]{include/tcR2.pdf}
	\captionof{figure}{Goodness of fit of the progenitor model \eqref{eq:ProgModel} to the data displayed in Supplementary Information Fig. \ref{afig:ProgDynamics}. The $R^2$ is calculated solely from the first five time points of the data, which capture the rapid rise and fall of progenitor numbers.}
	\label{afig:progR2}
\end{figure}

The best fit can be obtained for $N=2$, $3$ or $4$, but only $N=2$ allows for a cell cycle length in the range of what is experimentally observed with the maximum $R^2$ at $t_c=\SI{14.4}{\hour}$. To achieve a better compromise between our model assumption and the measured cell cycle lengths, we relax the condition of an optimal $R^2$. A visual assessment of the fit shows that $R^2=0.95$ provides a reasonable fit to the data. For $N=2$, the maximal $t_c$ for which $R^2=0.95$ can be achieved is $t_c=\SI{15.6}{\hour}$ (Supplementary Information Fig. \ref{afig:progFit}), which we assume for our subsequent analysis.
\begin{figure}	
	\centering
	\includegraphics[height=150pt]{include/n2tc16.pdf}
	\captionof{figure}{Fit of the progenitor model \eqref{eq:ProgModel} to the data of Supplementary Information Fig. \ref{afig:ProgDynamics}, assuming $N=2$ progenitor divisions and a cell cycle length of $t_c=\SI{15.6}{\hour}$.}
	\label{afig:progFit}
\end{figure}

\red{
	\section{Sensitivity Analysis}
	Model \eqref{eq:RepModel} contains three unknown parameters ($a$, $q$ and $r$), which needed to be estimated from the data. It is interesting to analyze how variability in those parameters affects downstream findings, that depend on estimated values. We aim to investigate two questions. First, whether the clonal data of Fig.\ \ref{fig:clonalFit} can be fitted using the population-level estimates of model \eqref{eq:RepModel} by allowing only one parameter to vary. This would indicate that uncertainty in the estimate of one parameter could indeed explain population-level and clonal dynamics simultaneously. Second, how uncertainty in the population-level estimates of model \eqref{eq:RepModel} transfers to the analysis of different scenarios to explain the saturating decline of NSC numbers during aging. 
}

\red{
	\subsection{Clonal Fit with One Varying Population-Level Parameter}
	We fit the clonal data as outlined in the Materials and Methods section using the population-level estimates of parameters $q$ and $r$ shown in Table \ref{tab:OnceRepModels} and the previously stated assumption $a=0.525$. Allowing parameter $q$ to change results in a too rapid decline of the fraction of quiescent clones in the fit (Supplementary Information Fig.\ \ref{fig:cloFit_q}). If $r$ is estimated, the one year time point does not fit for the fraction of activated and depleted clones (Supplementary Information Fig.\ \ref{fig:cloFit_r}). Finally, if parameter $a$ is allowed to vary, the one year time point cannot be matched for any of the three time series (Supplementary Information Fig.\ \ref{fig:cloFit_a}).
}
\begin{figure}	
	\begin{subfigure}[t]{\textwidth}
		\subcaption{\label{fig:cloFit_q}}
		\includegraphics[width=.31\textwidth]{include/modelCloFitQuiq.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelCloFitActq.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelCloFitDepq.pdf}
	\end{subfigure}
	\begin{subfigure}[t]{\textwidth}
		\subcaption{\label{fig:cloFit_r}}
		\includegraphics[width=.31\textwidth]{include/modelCloFitQuir.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelCloFitActr.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelCloFitDepr.pdf}
	\end{subfigure}
	\begin{subfigure}[t]{\textwidth}
		\subcaption{\label{fig:cloFit_a}}
		\includegraphics[width=.31\textwidth]{include/modelCloFitQuia.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelCloFitActa.pdf}
		\hfill
		\includegraphics[width=.31\textwidth]{include/modelCloFitDepa.pdf}
	\end{subfigure}
	\caption{Fit of model \eqref{eq:RepModel} to the clonal data of \textcite{Bonaguidi:2011} using population-level estimates of parameters but allowing one parameter to vary. \ref{fig:cloFit_q}: Parameter $q$ is estimated ($q=\SI{0.0055}{\per\day}$, $\rho=8.3\times 10^{-4}$). \ref{fig:cloFit_r}: Parameter $r$ is estimated ($r=\SI{0.047}{\per\day}$, $\rho=0.053$). \ref{fig:cloFit_a}: Parameter $a$ is estimated ($a=0.70$, $\rho=0.0028$).
	}
	\label{fig:cloFitSensitivity}
\end{figure}
\FloatBarrier

\red{
	\subsection{Saturating Stem Cell Decline}
	When fitting the different scenarios to explain the saturation of the decline of NSC numbers, the parameters $q$ and $r$ are re-estimated for each scenario (Table \ref{tab:agingModels}). Hence, model findings are independent of the original population-level estimates. However, findings depend on the assumption of $5\%$ of stem cell divisions being symmetric, i.e.\ $a=0.525$. To investigate the sensitivity on this assumption, we re-estimate parameters of all age-related scenarios, assuming either a lower self-renewal rate ($a=0.5$) and a higher one ($a=0.6$). As can be seen from Supplementary Information Table \ref{tab:saturationSensitivity}, allowing for a lower or higher self-renewal rate still selects decreasing depletion as best explanation for the saturating decline of NSC numbers, while alternative scenarios remain to have an at least $2.5$ points higher AICc score.
}

\begin{table}
	\centering
	\caption{AICc scores of fitting all considered mechanisms to explain the decline pattern of NSCs numbers, assuming a lower or higher fraction of self-renewal $a$, compared to the default assumption $a=0.525$.}
	\begin{tabular}{cp{27ex}c} 
		\toprule $a$ & Mechanism & AICc \\ 	
		\midrule 
		$0.5$ & Decreasing depletion & $241.967$ \\
		$0.5$ & Resilient population & $245.711$ \\
		$0.5$ & Increasing self-renewal & $246.332$ \\
		$0.5$ & Cell cycle lengthening & $246.496$ \\
		$0.5$ & Increasing quiescence & $249.881$ \\
		$0.5$ & Increasing activation & $267.598$ \\	
		$0.525$ & Decreasing depletion & $242.26$ \\
		$0.525$ & Resilient population & $245.96$ \\
		$0.525$ & Cell cycle lengthening & $246.26$ \\
		$0.525$ & Increasing self-renewal & $247.22$ \\
		$0.525$ & Increasing quiescence & $249.62$  \\
		$0.525$ & Increasing activation & $267.59$ \\
		$0.6$ & Decreasing depletion & $243.039$ \\
		$0.6$ & Increasing self-renewal & $245.553$ \\
		$0.6$ & Resilient population & $245.754$ \\
		$0.6$ & Cell cycle lengthening & $248.219$ \\
		$0.6$ & Increasing quiescence & $250.446$ \\
		$0.6$ & Increasing activation & $266.024$ \\
		
		\bottomrule
	\end{tabular}
	\label{tab:saturationSensitivity}
\end{table}
\FloatBarrier

\end{document}